darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Repository.Repair

# Documentation

replayRepository :: forall (p :: Type -> Type -> Type) (rt :: AccessType) wU wR a. (RepoPatch p, ApplyState p ~ Tree) => DiffAlgorithm -> Repository rt p wU wR -> Verbosity -> (RepositoryConsistency p wR -> IO a) -> IO a #

checkIndex :: forall (p :: Type -> Type -> Type) (rt :: AccessType) wU wR. (RepoPatch p, ApplyState p ~ Tree) => Repository rt p wU wR -> Bool -> IO Bool #

replayRepositoryInTemp :: forall (p :: Type -> Type -> Type) (rt :: AccessType) wU wR. (RepoPatch p, ApplyState p ~ Tree) => DiffAlgorithm -> Repository rt p wU wR -> Verbosity -> IO (RepositoryConsistency p wR) #

data RepositoryConsistency (p :: Type -> Type -> Type) wR #

Constructors

RepositoryConsistency |

Fields

- fixedPristine :: Maybe (Tree IO, Sealed (FL (PrimOf p) wR))
- fixedPatches :: Maybe (PatchSet p Origin wR)
- fixedPending :: Maybe (Sealed (FL (PrimOf p) wR))